tt_default_session(library call)

NAME
tt_default_session — retrieve the current default session identifier

SYNOPSIS

#include &<Tt/tt_c.h>
char *tt_default_session(void)

DESCRIPTION

The tt_default_session function retrieves the current default session identifier.

RETURN VALUE

Upon successful completion, the tt_default_session function returns the pointer to the unique identifier for the current default session. If the pointer is NULL, no default session is set. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned pointer:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_PROCID
    The current default process identifier is out of date or invalid.

APPLICATION USAGE

A session can have more than one session identifier. This means that the application cannot compare the result of tt_default_session with the result of tt_message_session(3) to verify that the message was sent in the default session.

The application should use tt_free(3) to free any data stored in the address returned by the ToolTalk API.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_ptr_error(3), tt_free(3).